# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['tp_client']

package_data = \
{'': ['*']}

install_requires = \
['pydantic>=1.10.2,<2.0.0', 'requests>=2.28.1,<3.0.0']

setup_kwargs = {
    'name': 'tp-client',
    'version': '0.8.1',
    'description': 'REST API clien for TP',
    'long_description': "# tp-client\n\ntp-client is a Python 3.x library for accessing the [Timeplanlegging][tp]\n[API][tp-api].\n\n## Usage\n\n```python\nfrom tp_client import TpClient\ntp = TpClient(\n    base_url='https://example.com/',\n    headers={'X-Gravitee-Api-Key':\n             'api-key-for-api-manager'})\n```\n\n[tp]: https://www.uio.no/tjenester/it/applikasjoner/tp/\n[tp-api]: https://api.uio.no/#!/apis/ac738528-f579-4fb6-b385-28f5791fb65a/detail\n",
    'author': 'USIT INT',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
